const Task = require('data.task')
const loadStyle = require('./load_style')
const path = require('path')
const {writeFile} = require('./pfs')
const FILENAME = 'snapshot.json'

// ensureEndSlash :: Folder -> Folder
const ensureEndSlash = folder =>
  folder.replace(/\/$/, '') + '/'

// createSnap :: Folder -> CSSFile -> Folder -> Task Err Void
const createSnap = (readFolder, writeFolder, stylePath) =>
  loadStyle(ensureEndSlash(readFolder), stylePath)
  .map(contents => JSON.stringify(contents, null, 2))
  .chain(json => writeFile(path.join(writeFolder, FILENAME), json))

module.exports = createSnap
